# Uses of Interface
org.osgi.framework.hooks.service.ListenerHook.ListenerInfo

Packages that use ListenerHook.ListenerInfo
Package
Description
org.apache.felix.framework.util
org.osgi.framework.hooks.service
Framework Service Hooks Package Version 1.1.

## Uses of ListenerHook.ListenerInfo in org.apache.felix.framework.util

Classes in org.apache.felix.framework.util that implement ListenerHook.ListenerInfo
Modifier and Type
Class
Description
`class`
`ListenerInfo`
Methods in org.apache.felix.framework.util that return ListenerHook.ListenerInfo
Modifier and Type
Method
Description
`ListenerHook.ListenerInfo`
EventDispatcher.`removeListener(BundleContext bc, Class clazz, EventListener l)`
Methods in org.apache.felix.framework.util that return types with arguments of type ListenerHook.ListenerInfo
Modifier and Type
Method
Description
`Collection<ListenerHook.ListenerInfo>`
EventDispatcher.`getAllServiceListeners()`
Returns all existing service listener information into a collection of ListenerHook.ListenerInfo objects.
Method parameters in org.apache.felix.framework.util with type arguments of type ListenerHook.ListenerInfo
Modifier and Type
Method
Description
`void`
SecureAction.`invokeServiceEventListenerHook(EventListenerHook elh, ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`
`void`
SecureAction.`invokeServiceListenerHookAdded(ListenerHook lh, Collection<ListenerHook.ListenerInfo> listeners)`
`void`
SecureAction.`invokeServiceListenerHookRemoved(ListenerHook lh, Collection<ListenerHook.ListenerInfo> listeners)`

## Uses of ListenerHook.ListenerInfo in org.osgi.framework.hooks.service

Method parameters in org.osgi.framework.hooks.service with type arguments of type ListenerHook.ListenerInfo
Modifier and Type
Method
Description
`void`
ListenerHook.`added(Collection<ListenerHook.ListenerInfo> listeners)`
Added listeners hook method.
`void`
EventListenerHook.`event(ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`
Event listener hook method.
`void`
ListenerHook.`removed(Collection<ListenerHook.ListenerInfo> listeners)`
Removed listeners hook method.